%define fw_version 5.43

Summary:	KDE Frameworks 5 advanced configuration system module
Name:		kconfig
Version:	5.43.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)
# Just to make KF5 applications use distro theme instead of the upstream one
Suggests:	plasma5-config
Suggests:	frameworkintegration

%description
KDE Frameworks 5 advanced configuration system module.

KConfig provides an advanced configuration system. It is made of two parts:
KConfigCore and KConfigGui.

KConfigCore provides access to the configuration files themselves.

KConfigGui provides a way to hook widgets to the configuration so that they are
automatically initialized from the configuration and automatically propagate
their changes to their respective configuration files.

%files
%{_kde5_bindir}/kreadconfig5
%{_kde5_bindir}/kwriteconfig5
%{_kde5_libexecdir}/kf5/kconf_update
%{_kde5_libexecdir}/kf5/kconfig_compiler_kf5

#----------------------------------------------------------------------------

%package i18n
Summary:	KConfig translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KConfig translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5configcore_major 5
%define libkf5configcore %mklibname kf5configcore %{kf5configcore_major}

%package -n %{libkf5configcore}
Summary:	KDE Frameworks 5 advanced configuration system shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5configcore}
KDE Frameworks 5 advanced configuration system shared library.

%files -n %{libkf5configcore}
%{_kde5_libdir}/libKF5ConfigCore.so.%{kf5configcore_major}*

#----------------------------------------------------------------------------

%define kf5configgui_major 5
%define libkf5configgui %mklibname kf5configgui %{kf5configgui_major}

%package -n %{libkf5configgui}
Summary:	KDE Frameworks 5 advanced configuration system shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5configgui}
KDE Frameworks 5 advanced configuration system shared library.

%files -n %{libkf5configgui}
%{_kde5_libdir}/libKF5ConfigGui.so.%{kf5configgui_major}*

#----------------------------------------------------------------------------

%define devkf5config %mklibname kf5config -d

%package -n %{devkf5config}
Summary:	Development files for KDE Frameworks 5 advanced configuration system
Group:		Development/KDE and Qt
Requires:	%{libkf5configcore} = %{EVRD}
Requires:	%{libkf5configgui} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5config-devel = %{version}

%description -n %{devkf5config}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5config}
%{_kde5_includedir}/KF5/KConfigCore
%{_kde5_includedir}/KF5/KConfigGui
%{_kde5_includedir}/KF5/kconfig_version.h
%{_kde5_libdir}/cmake/KF5Config
%{_kde5_libdir}/libKF5ConfigCore.so
%{_kde5_libdir}/libKF5ConfigGui.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Tue Feb 13 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (404061b) New version 5.43.0

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (fbae77a) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (239da94) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (ca253b2) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (ede955a) New version 5.34.0

* Mon Apr 24 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-4
- (6c463c7) Only suggest plasma5-config

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (0878035) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (cd07129) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (923a354) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (02ed857) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (ffe76fe) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (b34120e) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (e2deb8c) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (73da953) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (c83f544) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (55498fa) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (028abb4) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (7367a40) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (059ede2) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (ce81e6a) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (89f5c71) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (8eedcff) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (8febd61) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (a8316b9) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (4c53d18) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (dbeafae) Update files (kconfig_compiler_kf5 is moved to libexec dir now)
- (Andrey Bondrov: 7353ae3) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (2acfab2) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (330fe48) New version 5.10.0

* Tue Apr 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (7fd01e5) Make KF5 applications use distro theme instead of the upstream one (require plasma5-config and suggest frameworkintegration)


